#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20230706.sql ./mysql/db
cp ../sql/ry_config_20220929.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../bwie-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy bwie-gateway "
cp ../bwie-gateway/target/bwie-gateway.jar ./bwie/gateway/jar

echo "begin copy bwie-auth "
cp ../bwie-auth/target/bwie-auth.jar ./bwie/auth/jar

echo "begin copy bwie-visual "
cp ../bwie-visual/bwie-monitor/target/bwie-visual-monitor.jar  ./bwie/visual/monitor/jar

echo "begin copy bwie-modules-system "
cp ../bwie-modules/bwie-system/target/bwie-modules-system.jar ./bwie/modules/system/jar

echo "begin copy bwie-modules-file "
cp ../bwie-modules/bwie-file/target/bwie-modules-file.jar ./bwie/modules/file/jar

echo "begin copy bwie-modules-job "
cp ../bwie-modules/bwie-job/target/bwie-modules-job.jar ./bwie/modules/job/jar

echo "begin copy bwie-modules-gen "
cp ../bwie-modules/bwie-gen/target/bwie-modules-gen.jar ./bwie/modules/gen/jar

